define([
    'jquery', 
    'underscore', 
    'backbone', 
    'channel', 
    'collections_ext'
  ], function(
    $, 
    _, 
    Backbone, 
    Channel, 
    CollectionsExt
  ) {
  'use strict';

  return CollectionsExt.extend({
    /* Variables. */
      model: Channel
    , token: null
    , baseApiUrl: null
    , state: "default"
    /* Methods. */
    , initialize: function(models, options){
      this.token = options.token;
      this.baseApiUrl = options.baseApiUrl;
      if (options.state){
        this.setState(options.state);
      }
    },

    /**
     * Method to set the state of view settings for channels;
     * @param string state
     * @return string
     */
    setState : function(state) {
      this.state = state;
      return state;
    }

    , url: function(){
      return this.baseApiUrl+'/channels?state='+ this.state +'&auth='+encodeURIComponent(this.token);
    }
  });

});
