define([
    'underscore', 
    'backbone', 
    'stream',
    'collections_ext'
  ], function(
    _, 
    Backbone, 
    Stream,
    CollectionsExt
  ) {
  'use strict';

  return CollectionsExt.extend({
      model: Stream
    , parentId: '-1'
    , token: null
    , baseApiUrl: null
    , state: "default"
    , initialize: function(models, options){
      this.parentId = options.parentId;
      this.token = options.token;
      this.baseApiUrl = options.baseApiUrl;
      if (options.state){
        this.setState(options.state);
      }
    },

    /**
     * Method to set the state of view settings for channels;
     * @method setState
     * @access public
     * @param string state
     * @return string
     */
    setState : function(state) {
      this.state = state;
      return state;
    }

    , url: function(){
      return this.baseApiUrl+'/streams?state='+ this.state +'&auth='+encodeURIComponent(this.token);
    }

  });

});
