define([
    'underscore', 
    'backbone', 
    'id_mutable_model'
  ], function(
    _, 
    Backbone, 
    IdMutableModel
  ) {
  'use strict';

  return IdMutableModel.extend({
    defaults: {}, 
    permissions: 'manage',
    nullFolderPermissions: 'manage',

    initialize: function(options){
      var id = this.get('id');
      this.permissions = options.permissions || 'manage';
      this.nullFolderPermissions = options.nullFolderPermissions || 'manage';
    }, 
    url: function(){
      var url = this.collection.baseApiUrl+'/channels',
          id = '';

      if (this.persisted){
        id = this.get('id');
        url+='/'+id;
      }

      url += '?auth='+encodeURIComponent(this.collection.token);
      
      return url;
    }

  });

});
