define([
    'underscore',
    'backbone',
    'id_mutable_model'
], function(
  _,
  Backbone,
  IdMutableModel) {
  'use strict';

  return IdMutableModel.extend({
    defaults: {},
    permissions: null,
    initialize: function(options){
      if (options.permissions){
        this.permissions = options.permissions;
      }
    },
    mergeEventsWithParent: true,
    setMergeEventsWithParent: function(flag) {
      this.mergeEventsWithParent = flag;
    },
    url: function() {
      var url = this.collection.baseApiUrl + '/' + this.get('channelId') + '/folders';
      if (this.persisted) {
        url += '/' + this.get('id');
      }
      return url + '?auth=' + encodeURIComponent(this.collection.token) + '&mergeEventsWithParent=' + this.mergeEventsWithParent;
    }
  });
});
